XmbDrawImageString(3X11)

NAME
XmbDrawImageString, XwcDrawImageString, Xutf8DrawImageString - draw image text using a single font set

SYNTAX
void XmbDrawImageString(display, d, font_set, gc, x, y, string, num_bytes)
      Display *display;
      Drawable d;
      XFontSet font_set;
      GC gc;
      int x, y;
      char *string;
      int num_bytes;

void XwcDrawImageString(display, d, font_set, gc, x, y, string, num_wchars)
      Display *display;
      Drawable d;
      XFontSet font_set;
      GC gc;
      int x, y;
      wchar_t *string;
      int num_wchars;

void Xutf8DrawImageString(display, d, font_set, gc, x, y, string, num_bytes)
      Display *display;
      Drawable d;
      XFontSet font_set;
      GC gc;
      int x, y;
      char *string;
      int num_bytes;

ARGUMENTS

d   Specifies the drawable.

display
    Specifies the connection to the X server.

font_set
    Specifies the font set.

gc  Specifies the GC.

num_bytes
    Specifies the number of bytes in the string argument.

num_wchars
    Specifies the number of characters in the string argument.

string
    Specifies the character string.

x

y   Specify the x and y coordinates.

DESCRIPTION
The and functions fill a destination rectangle with the background pixel defined in the GC and then paint the text with the foreground pixel. The filled rectangle is the rectangle returned to overall_logical_return by or for the same text and

When the has missing charsets, each unavailable character is drawn with the default string returned by The behavior for an invalid codepoint is undefined.

The function is an XFree86 extension introduced in XFree86 4.0.2. Its presence is indicated by the macro

SEE ALSO
XDrawImageString(3X11), XDrawString(3X11), XDrawText(3X11), XmbDrawString(3X11), XmbDrawText(3X11)
Xlib - C Language X Interface